<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let arr2 = [1, 2, 3, 4, 5];
    let arr3 = [1, 2];
    let arr4 = [3, 4];

    const map1 = arr2.map((x) => x * x);
    let sum = map1.reduce((a, b) => a + b);
    console.log("Tổng của các bình phương phần tử trong mảng [1, 2, 3, 4, 5]: " + sum);

    const map2 = arr3.map((x) => x * x);
    let sum1 = map2.reduce((a, b) => a + b);
    console.log("Tổng của các bình phương phần tử trong mảng [1, 2]: " + sum1);

    const map3 = arr4.map((x) => x * x);
    let sum2 = map3.reduce((a, b) => a + b);
    console.log("Tổng của các bình phương phần tử trong mảng [3, 4]: " + sum2);
</script>
</html>